> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List users within workspace



## OpenAPI

````yaml GET /users
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /users:
    get:
      tags:
        - user
      summary: List Users
      description: List users within workspace
      operationId: ListUsers
      parameters:
        - in: query
          name: email_search_query
          schema:
            type: string
          description: Filter users by their email
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                required:
                  - users
                properties:
                  users:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                    example:
                      - user_id: user-1
                        name: John
                        default_member_type: guest
                        access_token: lw11gv95db-QcA3bDvuBQVomEmkAq1G-
                        id: 642cdbef85fd90a348d9da1a
                      - user_id: user-2
                        name: Mike
                        default_member_type: guest
                        access_token: db32gv15d9-QcA3bDvuBQVomEmkAq1G-
                        id: 642cdbef85fd90a348d9da1a
                  paging:
                    $ref: '#/components/schemas/Paging'
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    User:
      type: object
      properties:
        user_id:
          type: string
          description: >-
            ID of the user. Will override exisiting user if the specified ID
            already being used. Please note that `id` field is only used
            internally.
          example: external_user_102932
        name:
          type: string
          description: Name of the user.
          example: scotty
        profile_url:
          type: string
          example: >-
            https://www.gravatar.com/avatar/00000000000000000000000000000000?d=mp&f=y
          description: Profile image of the user
        default_member_type:
          $ref: '#/components/schemas/MemberType'
          description: Default type of member when invited to room
          default: guest
        access_token:
          type: string
          description: Access token to authenticate as the user.
          example: TfowtRYBs0E_trzoTaCmAXKzB1JxDDhi
        created_at:
          type: string
          example: '2023-01-01T01:00:00.000Z'
          description: Creation time of the user
          format: date-time
        updated_at:
          type: string
          example: '2023-01-01T01:00:00.000Z'
          description: Last modified time of the user
          format: date-time
    Paging:
      description: Details of pagination used for current responses.
      type: object
      required:
        - limit
        - offset
        - total
      properties:
        limit:
          type: number
          default: 30
        offset:
          type: number
          default: 0
        total:
          type: number
          example: 0
    MemberType:
      type: string
      description: >
        Type of user in this room

        - guest: The user is guest.

        - host: The user is host. This user has administrator privileges.

        - monitor: The user is observer. Can watch the meeting, but can not
        join.
      enum:
        - guest
        - host
        - monitor
      example: guest
      default: guest
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````